package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;
import csbase.client.applications.ApplicationImages;

/**
 * <p>
 * Ao carregar grafo.
 * </p>
 * <p>
 * Ao que facilita utilizar o mtodo {@link FlowApplication#openGraph() }.
 * </p>
 */
public final class LoadAction extends FlowApplicationAction {
  /**
   * Cria uma ao.
   * 
   * @param application A aplicao.
   */
  public LoadAction(FlowApplication application) {
    super(application, LoadAction.class.getName() + ".name",
      ApplicationImages.ICON_OPEN_16);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    getApplication().openGraph();
  }
}
