package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;
import csbase.client.applications.ApplicationImages;

/**
 * <p>
 * Ao criar grafo.
 * </p>
 * <p>
 *  uma ao para facilitar o uso do mtodo
 * {@link FlowApplication#createNewGraph() }
 * </p>
 */
public final class NewAction extends FlowApplicationAction {
  /**
   * Cria uma ao.
   * 
   * @param application A aplicao.
   */
  public NewAction(FlowApplication application) {
    super(application, NewAction.class.getName() + ".name",
      (ApplicationImages.ICON_NEW_16));
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    getApplication().createNewGraph();
  }
}
