package csbase.algorithms.flows.messages;

import csbase.algorithms.flows.graph.GraphNode;

import tecgraf.javautils.vix.Message;

import java.awt.geom.Point2D;

public final class PickNodeMessage extends Message {
  private GraphNode node;
  private Point2D point;

  public PickNodeMessage(Point2D point) {
    this.point = (Point2D)point.clone();
  }

  public GraphNode getNode() {
    return this.node;
  }

  public Point2D getPoint() {
    return (Point2D)this.point.clone();
  }

  public void setNode(GraphNode node) {
    this.node = node;
  }
}
