package csbase.algorithms.flows.messages;

import tecgraf.javautils.vix.Message;

import java.awt.geom.Point2D;

public final class ShowParametersMessage extends Message {
  private Point2D point;

  public ShowParametersMessage() {
  }

  public ShowParametersMessage(Point2D point) {
    this.point = (Point2D)point.clone();
  }

  public Point2D getPoint() {
    if (this.point == null) {
      return null;
    }
    return (Point2D)this.point.clone();
  }
}
