/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.client.algorithms.parameters.validators;

import csbase.logic.algorithms.parameters.EnumerationItem;

/**
 * Validador do 
 * {@link csbase.logic.algorithms.parameters.EnumerationParameter 
 * Parmetro do Tipo Enumerao}.
 *
 * @author lmoreira
 */
public final class EnumerationParameterValidator extends
  SimpleParameterValidator<EnumerationItem> {
  
  /**
   * Cria o validador.
   * 
   * @param isOptional Indica se o valor do parmetro  opcional/obrigatrio.
   */
  public EnumerationParameterValidator(boolean isOptional) {
    super(isOptional);
  }
}