/* 
 * $Id$ 
 */

package csbase.client.applications.commandsmonitor.table.dal.xml.element;

import java.io.IOException;
import java.io.Writer;
import java.util.List;

import csbase.client.applications.commandsmonitor.table.dal.ColumnDTO;

import tecgraf.javautils.xml.XMLElement;
import tecgraf.javautils.xml.XMLElementInterface;

public class ColumnElement extends XMLElement {

  public static final String getTagName() {
    return "column";
  }
    
  @Override
  public void endTag(List<XMLElementInterface> childrenList) {
    String id = getAttributeStrValue("id");
    String className = getAttributeStrValue("class");
    setAppObject(new ColumnDTO(id, className));
  }

  @Override
  public void write(Writer writer, String ident) throws IOException {
    throw new IllegalAccessError("Esse mtodo no deve ser utilizado.");
  }  
}
