package csbase.client.applications.diskinfo;

import javax.swing.JPanel;

import csbase.client.applications.Application;

/**
 * A classe DiskInfoPanel modela a funcionalidade comum a painis de 
 * monitorao de disco.
 */
abstract class DiskInfoPanel extends JPanel {

  /**
   *  Provoca a rotaco do grfico.
   */
  abstract void rotatePie();
  
  /**
   * Atualiza o grfico com novas informaes de uso de disco.
   * @param app referncia para a aplicao.
   */
  abstract void refreshPie(final Application app);
}
