package csbase.client.desktop;

import java.awt.*;
import java.awt.geom.Rectangle2D;

import javax.swing.JPanel;

/**
 * Painel de vidro.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class GlassPane extends JPanel {

  /**
   * Construtor padro.
   */
  public GlassPane() {
    super();
    setOpaque(false);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void paintComponent(Graphics g) {
    Graphics2D g2d = (Graphics2D) g;
    float alpha = 1f;
    int type = AlphaComposite.SRC_OVER;
    AlphaComposite composite = AlphaComposite.getInstance(type, alpha);
    g2d.setComposite(composite);
    g2d.setColor(new Color(235, 235, 235, 150));
    int width = getRootPane().getWidth();
    int height = getRootPane().getHeight();
    g2d.fill(new Rectangle2D.Double(0, 0, width, height));
  }
}
