/*
 * Created on Jun 28, 2004
 *
 */
package csbase.client.project.action;

import csbase.client.project.ProjectFileContainer;
import csbase.client.project.PublicationDialog;
import csbase.logic.ProjectFile;

import java.awt.Window;
import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;

public class CommonMultiSelectionFilePublishAction extends CommonProjectAction {
  /**
   * DOCUMENT ME!
   *
   * @param container
   */
  public CommonMultiSelectionFilePublishAction(ProjectFileContainer container) {
    super(container);
  }

  public void actionPerformed(ActionEvent e) {
    ProjectFile[] files = getSelectedFiles();
    Window ownerWindow = getWindow();
    if (files[0].isPublishedFile()) {
      PublicationDialog.showToUnPublish(ownerWindow, files);
    }
    else {
      PublicationDialog.showToPublish(ownerWindow, files);
    }
  }

  public String getName() {
    return LNG.get("PRJ_MANAGE_PUBLICATION");
  }
}
