/*
 * ProjectDeleteAction.java
 * 
 * $Id: ProjectDeleteAction.java 75594 2008-05-02 17:19:36Z costa $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.CommonProjectSelectDialog;
import csbase.client.project.ProjectTree;

/**
 * Ao que remove um projeto de um usurio.
 */
public class ProjectDeleteAction extends ProjectAction {
  @Override
  public void actionPerformed(ActionEvent e) {
    CommonProjectSelectDialog.deleteProject(getWindow());
    /*
     * if (CommonProjectSelectDialog.deleteProject (getWindow())) {
     * setCurrentProject(null); clearClipboard();
     * DesktopFrame.getInstance().getApplicationPanel().cascadeGroups(); }
     */
  }

  @Override
  public String getName() {
    return LNG.get("PRJ_REMOVAL");
  }

  /**
   * Construtor.
   * 
   * @param treeView - rvore do projeto
   */
  public ProjectDeleteAction(ProjectTree treeView) {
    super(treeView);
  }
}
