package csbase.exception.algorithms;

import csbase.exception.CSBaseRuntimeException;

/**
 * Exceo levantada quando o algoritmo no  encontrado.
 */
public final class AlgorithmNotFoundException
extends CSBaseRuntimeException {

  /**
   * Constri uma exceo que um algoritmo ou verso no foi encontrada.
   * @param msg mensagem de erro
   */
  public AlgorithmNotFoundException(String msg) {
    super(msg);
  }
}
