package csbase.exception.algorithms;

import csbase.logic.algorithms.AlgorithmVersionId;
import csbase.exception.CSBaseException;

public final class AlgorithmVersionNotFoundException extends CSBaseException {

  public AlgorithmVersionNotFoundException(String algorithmName,
                                           AlgorithmVersionId versionId) {
    super("A verso {0} do algoritmo {1} no est instalada no sistema.",
      versionId, algorithmName);
  }

}
