package csbase.exception.algorithms;

import csbase.exception.CSBaseException;

public final class FormulaCreationException extends CSBaseException {

  public FormulaCreationException(String pattern, Object... arguments) {
    super(pattern, arguments);
  }

  public FormulaCreationException(String message, Throwable exception) {
    super(message, exception);
  }

  public FormulaCreationException(String message) {
    super(message);
  }

  public FormulaCreationException(Throwable exception, String pattern, Object... arguments) {
    super(exception, pattern, arguments);
  }

}
