package csbase.logic;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface usada para notificaes de obteno de lock ou quando o lock
 * foi expirado.  passado como parmetro dos mtodos 
 * ProjectServiceInterface.aquireSharedLock() e
 * ProjectServiceInterface.aquireExclusiveLock().
 */
public interface FileLockListenerInterface extends Remote{
  
  /**
   * Mtodo chamado quando o lock  obtido.
   * @param lockId idenficador do lock obtido
   * @throws RemoteException falha de rmi
   */
  public void fileLocked(Object lockId) throws RemoteException;
  
  /**
   * Mtodo chamado quando o lock  expirado por timeout.
   * @throws RemoteException falha de rmi
   */
  public void fileLockExpired() throws RemoteException;
}
