/*
 * NotificationHandler.java
 */
package csbase.logic;

/**
 * Interface que define um handler para uma notificao.
 * @author Cristina Ururahy
 */

public interface NotificationHandler {
  /**
   * Verifica o interesse do handler nessa notificao, e
   * executa o tratamento referente a ela.
   * @param notificationData a notificao.
   */
  public void gotNotification(final NotificationData data);
}
