/*
 * TreeRefreshedEvent.java
 *
 * $author$
 * $Revision: 55308 $  - $Date: 2006-08-23 18:11:09 -0300 (Wed, 23 Aug 2006) $
 */
package csbase.logic;


/**
 * Representa o evento que indica que a rvore do projeto foi reconstruda.
 */
public class TreeRefreshedEvent extends ProjectEvent {
  private ProjectFile newTree;

  /**
   * Retorna a nova rvore do projeto.
   *
   * @return A nova rvore do projeto.
   */
  public ProjectFile getNewTree() {
    return newTree;
  }

  TreeRefreshedEvent(ProjectFile newTree) {
    event = TREE_REFRESHED;
    this.newTree = newTree;
  }
}
