package csbase.logic.algorithms;

/**
 * Enumerao com os modos de execuo vlidos.
 */
public enum ExecutionType {
  /**
   * Execuo simples.
   */
  SIMPLE,
  /**
   * Execuo mltipla.
   */
  MULTIPLE,
  /**
   * Execuo paralela.
   */
  PARALLEL,
  /**
   * Execuo distribuda.
   */
  DISTRIBUTED,
  /**
   * Execuo de aplicaes X.
   */
  XAPPS;
  
  /**
   * Obtm o tipo de execuo default.
   * 
   * @return o tipo de execuo default.
   */
  public static ExecutionType getDefault() {
    return SIMPLE;
  }
}
