/**
 * 
 */
package csbase.logic.algorithms.commands;

import csbase.logic.CommandInfo;

/**
 * @author ururahy
 * 
 */
public interface CommandInfoFilter {

  /**
   * Verifica se um comando  aceito.
   * 
   * @param commandInfo o comando (No aceita {@code null}).
   * 
   * @return {@code true} aceito ou {@code false} descartado.
   */
  public boolean accept(CommandInfo commandInfo);
}
