/*
 * $Id: CommandPropertiesFilter.java 76954 2008-06-06 19:24:00Z taciana $
 */
package csbase.logic.algorithms.commands;

import csbase.logic.CommandInfo;


/**
 * Filtro para comandos.
 */
public interface CommandPropertiesFilter {

  /**
   * Verifica se um comando  aceito.
   * 
   * @param commandInfo As informaes do comando (No aceita {@code null}).
   * 
   * @return {@code true} aceito ou {@code false} descartado.
   */
  public boolean accept(CommandInfo commandInfo);
}
