/*
 * $Id: ClientRemoteLocator.java 93285 2009-07-03 20:02:55Z clinio $
 */
package csbase.remote;

/**
 * A classe <code>ClientRemoteLocator</code> oferece um ponto de acesso ao
 * servidor atravs de <code>ServerEntryPoint</code> e demais servios
 * exportados pelo servidor. Essa classe deve ser utilizada apenas pelo cliente,
 * para localizar o servidor ao qual est conectado. A conexo entre servidores
 *  mantida na classe ServerRemoteLocator.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class ClientRemoteLocator {
  /**
   * Referncia ao entry point do servidor.
   */
  public static ServerEntryPoint server = null;

  /**
   * Referncia ao servio {@link AdministrationServiceInterface}
   */
  public static AdministrationServiceInterface administrationService = null;

  /**
   * Referncia ao servio {@link AlgorithmServiceInterface}
   */
  public static AlgorithmServiceInterface algorithmService = null;

  /**
   * Referncia ao servio {@link ApplicationServiceInterface}
   */
  public static ApplicationServiceInterface applicationService = null;

  /**
   * Referncia ao servio {@link CommandPersistenceServiceInterface}
   */
  public static CommandPersistenceServiceInterface commandPersistenceService =
    null;

  /**
   * Referncia ao servio {@link DiskUsageServiceInterface}
   */
  public static DiskUsageServiceInterface diskUsageService = null;

  /**
   * Referncia ao servio {@link EventLogServiceInterface}
   */
  public static EventLogServiceInterface eventLogService = null;

  /**
   * Referncia ao servio {@link HttpServiceInterface}
   */
  public static HttpServiceInterface httpService = null;

  /**
   * Referncia ao servio {@link KillServerServiceInterface}
   */
  public static KillServerServiceInterface killServerService = null;

  /**
   * Referncia ao servio {@link MailServiceInterface}
   */
  public static MailServiceInterface mailService = null;

  /**
   * Referncia ao servio {@link NotificationServiceInterface}
   */
  public static NotificationServiceInterface notificationService = null;

  /**
   * Referncia ao servio {@link ProjectServiceInterface}
   */
  public static ProjectServiceInterface projectService = null;

  /**
   * Referncia ao servio {@link PublicationServiceInterface}
   */
  public static PublicationServiceInterface publicationService = null;

  /**
   * Referncia ao servio {@link SchedulerServiceInterface}
   */
  public static SchedulerServiceInterface schedulerService = null;

  /**
   * Referncia ao servio {@link SGAServiceInterface}
   */
  public static SGAServiceInterface sgaService = null;

  /**
   * Referncia ao servio {@link SharedObjectServiceInterface}
   */
  public static SharedObjectServiceInterface sharedObjectService = null;

  /**
   * Referncia ao servio {@link WIOServiceInterface}
   */
  public static WIOServiceInterface wioService = null;

  /**
   * Referncia ao servio {@link TrustedServerServiceInterface}
   */
  public static TrustedServerServiceInterface trustedServerService = null;

  /**
   * Referncia ao servio {@link ProjectSynchronizationServiceInterface}
   */
  public static ProjectSynchronizationServiceInterface projectSynchronizationService =
    null;

  /**
   * Referncia ao servio {@link OpenBusServiceInterface}
   */
  public static OpenBusServiceInterface openBusService = null;

  /**
   * Referncia ao servio {@link FileTransferServiceInterface}
   */
  public static FileTransferServiceInterface fileTransferService = null;
}
