package csbase.remote;

/**
 * Define a interface remota do servio de i18n do servidor.
 */
public interface LanguageServiceInterface {
  /** Nome do servio para o <code>ServiceManager</code> */
  public static final String SERVICE_NAME = "LanguageService";

  /**
   * Traduz uma determinada chave na sua string correspondente de acordo com o
   * bundle carregado.
   *
   * @param key chave do bundle.
   *
   * @return String com o texto respectivo a chave.
   */
  String get(String key);
}
