/*
 * WIOServiceInterface.java
 * $Author: abrantes $
 * $Revision: 35965 $  - $Date: 2005-09-15 17:37:14 -0300 (Thu, 15 Sep 2005) $
 */
package csbase.remote;

import java.rmi.RemoteException;

/**
 * Interface remota para acesso ao Servio de Gerncia de WIOs
 */
public interface WIOServiceInterface extends ServiceInterface {
  /** Nome do servio para o <code>ServiceManager</code> */
  public static final String SERVICE_NAME = "WIOService";

  /**
   * Retorna a porta do servidor de wio
   *
   * @return .
   */
  public String getServerPort() throws RemoteException;

  /**
   *
   */
  public int getNumOpenedFiles() throws RemoteException;

  /**
   *
   */
  public int getMaxOpenedFiles() throws RemoteException;

  /**
   *
   */
  public int getNumOpenedProjects() throws RemoteException;

  /**
   *
   */
  public int getMaxOpenedProjects() throws RemoteException;

}
