package csbase.server.services.loginservice;

/**
 * 
 * Adaptador abstrato para {@link LoginServiceListener} 
 * Os mtodos esto vazios.
 *
 */
public abstract class LoginServiceAdapter implements LoginServiceListener {

  /*
   * {@inheritDoc}
   */
  public void connectionLost(String login, Object sessionKey,
                             String systemName, long time) {
  }

  /*
   * {@inheritDoc}
   */
  public void sessionCreated(String login, Object sessionKey, long time) {
  }

  /*
   * {@inheritDoc}
   */
  public void systemNameSet(String login, Object sessionKey, String systemName,
                            long time) {
  }

  /*
   * {@inheritDoc}
   */
  public void userLoggingOut(String login, Object sessionKey,
                             String systemName, long time) {
  }

}
