package csbase.server.services.publicationservice;

import csbase.remote.PublicationServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class PublicationServiceProxy extends csbase.server.ServiceProxy implements PublicationServiceInterface {

public PublicationServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public java.util.Vector<csbase.logic.PublicationInfo> getAllPublicationInfo(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return PublicationService.getInstance().getAllPublicationInfo(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean publishFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object[] param_2, java.lang.Object param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return PublicationService.getInstance().publishFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean updatePublishAccess(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object[] param_2, java.lang.Object param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return PublicationService.getInstance().updatePublishAccess(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object[] getPublishedFileAccess(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return PublicationService.getInstance().getPublishedFileAccess(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void linkToPublishedFile(java.lang.Object param_0, java.lang.String[] param_1, csbase.logic.PublicationInfo param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    PublicationService.getInstance().linkToPublishedFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return PublicationService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}