package csbase.client.algorithms.parameters;

import java.util.LinkedList;
import java.util.List;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.EnumerationItem;
import csbase.logic.algorithms.parameters.EnumerationListParameter;

public final class EnumerationListParameterViewTest {
  public static void main(String[] args) throws ClientException {
    EnumerationItem item1 = new EnumerationItem("0", "tem 1", "Valor 1",
      "Dica 1");
    EnumerationItem item2 = new EnumerationItem("1", "tem 2", "Valor 2",
      "Dica 2");
    List<EnumerationItem> items = new LinkedList<EnumerationItem>();
    EnumerationListParameter parameter =
      new EnumerationListParameter(
        "ENUM", "Enumerao", "Parmetro do tipo enumerao", true,
        "{1}--{0}");
    items.add(item1);
    items.add(item2);
    parameter.setItems(items);
    new ParameterViewTester(parameter).test();
  }
}
