package csbase.client.algorithms.parameters;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.IntegerListParameter;

public final class IntegerListParameterViewTest {
  public static void main(String[] args) throws ClientException {
    IntegerListParameter parameter =
      new IntegerListParameter(
        "REAL_INT", "Lista de inteiros",
        "Parmetro do tipo lista de inteiros.\nObrigatrio.\n"+
        "Mximo: 1.000.\nMnimo: -1.000.", false, "{0}-{1}", new Integer(1000),
        new Integer(-1000));
    new ParameterViewTester(parameter).test();
  }
}
