/*
 * $Author:$
 * $Date:$
 * $Release:$
 */
package csbase.logic.algorithms.parameters.conditions;

import csbase.logic.algorithms.parameters.SimpleAlgorithmConfigurator;

public final class MockCondition implements Condition {
  private static final long serialVersionUID = 5724002032135967516L;
  private boolean evaluateResult;

  public MockCondition(boolean evaluateResult) {
    super();
    this.evaluateResult = evaluateResult;
  }

  public boolean evaluate(SimpleAlgorithmConfigurator configurator) {
    return this.evaluateResult;
  }
} 
