/*
 * $Author:$
 * $Date:$
 * $Release:$fdsfsdfs
 */
package csbase.logic.algorithms.parameters.triggers;

import csbase.logic.algorithms.parameters.SimpleParameter;
import csbase.logic.algorithms.parameters.conditions.Condition;

/**
 * Gatilho <i>Mock</i>.
 *
 * @author lmoreira
 */
public final class MockTrigger extends Trigger {
  /**
   * Cria o gatilho.
   * 
   * @param parameter O parmetro (No aceita {@code null}).
   * @param condition A condio (No aceita {@code null}).
   */
  public MockTrigger(SimpleParameter<?> parameter, Condition condition) {
    super(parameter, condition);
  }

  @Override
  protected void doAction() {
  }

  @Override
  protected void undoAction() {
  }
}
