package csbase.remote;

import java.rmi.RemoteException;
import java.util.Collections;
import java.util.Hashtable;
import java.util.List;
import java.util.SortedSet;

import csbase.logic.FileInfo;
import csbase.logic.IPathFactory;
import csbase.logic.algorithms.AlgorithmConfigurator;
import csbase.logic.algorithms.AlgorithmInfo;
import csbase.logic.algorithms.AlgorithmOutline;
import csbase.logic.algorithms.AlgorithmProperty;
import csbase.logic.algorithms.AlgorithmVersionId;
import csbase.logic.algorithms.AlgorithmVersionInfo;
import csbase.logic.algorithms.Category;
import csbase.remote.niotransfer.RequestTransferInfo;

public class MockAlgorithmService implements AlgorithmServiceInterface {

  public AlgorithmInfo changeAlgorithmProperties(String name,
    Hashtable<String, String> newValues) {
    return null;
  }

  public AlgorithmInfo changeVersionProperties(String name,
    AlgorithmVersionId versionId, Hashtable<String, String> newValues) {
    return null;
  }

  public void copyFile(Object algoIdFrom, Object versionIdFrom,
    String[][] fromFilePaths, Object algoIdTo, Object versionIdTo,
    String[][] toFilePaths, boolean setExecutables) {
  }

  public void copyFile(Object algoIdFrom, Object versionIdFrom,
    String[][] fromFilePaths, Object algoIdTo, Object versionIdTo,
    String[][] toFilePaths) {
  }

  public void copyFiles(final AlgorithmVersionInfo sourceVersion,
    final List<FileInfo> files, final IPathFactory sourcePathFactory,
    final AlgorithmVersionInfo targetVersion, final FileInfo targetDir,
    final IPathFactory targetPathFactory, final boolean setExecutables)
    throws RemoteException {
  }

  public AlgorithmInfo createAlgorithm(String name,
    Hashtable<String, String> properties) {
    return null;
  }

  public AlgorithmConfigurator createAlgorithmConfigurator(
    String algorithmName, AlgorithmVersionId algorithmVersionId) {
    return null;
  }

  public AlgorithmInfo createVersion(Object algoId, int major, int minor,
    int patch, Hashtable<String, String> properties) {
    return null;
  }

  public void duplicateVersion(Object algoId, Object versionId, int major,
    int minor, int patch) {
  }

  public List<AlgorithmProperty> getAlgorithmProperties() {
    return Collections.emptyList();
  }

  public Object[] getAllIds() {
    return null;
  }

  public AlgorithmInfo[] getAllInfo() {
    return null;
  }

  public AlgorithmOutline[] getAllOutlines() {
    return null;
  }

  public AlgorithmInfo getInfo(Object id) {
    return null;
  }

  public AlgorithmInfo getInfo(String name) {
    return null;
  }

  public List<AlgorithmProperty> getVersionProperties() {
    return null;
  }

  public AlgorithmInfo includePlatform(Object algoId, Object versionId,
    String platform) {
    return null;
  }

  public String readConfiguratorFile(String name, AlgorithmVersionId versionId) {
    return null;
  }

  public String readConfiguratorPropertiesFile(String name,
    AlgorithmVersionId versionId) {
    return null;
  }

  public String readFlowConfiguratorFile(String name,
    AlgorithmVersionId versionId) {
    return null;
  }

  public boolean reloadAlgorithms() {
    return false;
  }

  public boolean removeAlgorithm(Object id) {
    return false;
  }

  public void removeFile(Object algoId, Object versionId, String[][] filePaths) {
  }

  public void removeExecutableFiles(AlgorithmVersionInfo version,
    String platform, FileInfo[] files) {
  }

  public void removeConfigurationFiles(AlgorithmVersionInfo version,
    FileInfo[] files) {
  }

  public void removeDocumentationFiles(AlgorithmVersionInfo version,
    FileInfo[] files) {
  }

  public AlgorithmInfo removePlatform(Object algoId, Object versionId,
    String platform) {
    return null;
  }

  public AlgorithmInfo removeVersion(Object algoId, Object versionId) {
    return null;
  }

  public String retrieveConfigUploadURL(Object algoId, Object versionId) {
    return null;
  }

  public String retrieveDocUploadURL(Object algoId, Object versionId) {
    return null;
  }

  public String retrieveDownloadURL(Object algoId, String[] filePath) {
    return null;
  }

  public String retrieveExecUploadURL(Object algoId, Object versionId,
    String platform) {
    return null;
  }

  public List retrieveHistory(String[] path) {
    return Collections.EMPTY_LIST;
  }

  public String retrieveVersionUploadURL(Object algoId) {
    return null;
  }

  public boolean isLocked() {
    return false;
  }

  public boolean lock(TransactionCallbackInterface cb) {
    return false;
  }

  public void unlock(TransactionCallbackInterface cb) {
  }

  public boolean isAlive() {
    return true;
  }

  public boolean configFileExists(Object algoId, Object versionId,
    String fileName) throws RemoteException {
    return false;
  }

  public boolean docFileExists(Object algoId, Object versionId, String fileName)
    throws RemoteException {
    return false;
  }

  public boolean execFileExists(Object algoId, Object versionId,
    String platformName, String fileName) throws RemoteException {
    return false;
  }

  public RequestTransferInfo prepareDownloadConfigFile(Object algoId,
    Object versionId, String fileName) throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareDownloadDocFile(Object algoId,
    Object versionId, String fileName) throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareDownloadExecFile(Object algoId,
    Object versionId, String platformName, String fileName)
    throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareUploadConfigFile(Object algoId,
    Object versionId, String fileName) throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareUploadDocFile(Object algoId,
    Object versionId, String fileName) throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareUploadExecFile(Object algoId,
    Object versionId, String platformName, String fileName)
    throws RemoteException {
    return null;
  }

  public RequestTransferInfo prepareUploadVersionPack(Object algoId,
    String fileName) throws RemoteException {
    return null;
  }

  public SortedSet<Category> getAllCategories() throws RemoteException {
    return null;
  }

  public void addObserver(RemoteObserver observer, Object arg)
    throws RemoteException {
  }

  public int countObservers() throws RemoteException {
    return 0;
  }

  public boolean deleteObserver(RemoteObserver observer, Object arg)
    throws RemoteException {
    return false;
  }

  public void deleteObservers() throws RemoteException {
  }

  public boolean hasChanged() throws RemoteException {
    return false;
  }

  public void notifyObservers(Object event) throws RemoteException {
  }

  @Override
  public void bindAlgorithmsToCategories(List<Object> algoIds,
    List<String> categoryIds) throws RemoteException {
  }

  @Override
  public Category createCategory(String parentCategoryId, String id, String name)
    throws RemoteException {
    return null;
  }

  @Override
  public void removeCategory(String id) throws RemoteException {
  }
}