package csbase.util.parser.exception;

import csbase.util.parser.Session;

/**
 * Representa uma exceo de estado de erro alcanado.
 */
public class ErrorStateReachedException extends AutomatonException {
  /**
   * Cria uma instncia com a sesso onde foi gerada a exceo.
   *
   * @param session A sesso onde foi gerada a exceo.
   */
  public ErrorStateReachedException(Session session) {
    super(session);
  }
}
