/*
 * $Author: valeria $
 * $Revision: 80898 $
 * $Date: 2008-08-04 14:38:50 -0300 (Mon, 04 Aug 2008) $
 */
package csgrid.server;

import csbase.logic.ServerURI;
import csbase.server.LocalServerRemoteMonitor;
import csgrid.remote.ServerServiceLocator;

/**
 * Representa uma classe que ser usada pelo servidor local para monitorar o
 * estado da conexo com um servidor central.
 * 
 * @author brunoos
 *  
 */
public class CentralServerMonitor extends LocalServerRemoteMonitor {
  /**
  * Cria um monitorador remoto de servidor central que ser usado pelo
  * servidor local.
  *
  * @param serverURI o do servidor a ser monitorado
  */
  public CentralServerMonitor(ServerURI serverURI) {
     super(serverURI, ServerServiceLocator.class);
  }
}
