package csgrid.test.unit.service;

import csbase.server.*;
import csbase.test.unit.service.CSBaseTestSetup;
import csgrid.server.CSGridServer;

/**
 * A classe <code>CSGridTestSetup</code> estedem a <code>CSBaseTestSetup</code>
 * para criao de um servidor de testes.
 */
public class CSGridTestSetup extends CSBaseTestSetup {
	
	/**
	 * Cria o servidor para teste.
   * 
	 * @throws ServerException 
	 */
	protected Server createServer() throws ServerException{
    System.out.println("Criando o servidor do CSGrid para teste...");
		return new CSGridServer();
	}

  /**
   * Inicia o servidor de testes.
   */
	public static void main(String args[]) {
		try {
			CSGridTestSetup csbase = new CSGridTestSetup();
      csbase.setUp();
		} catch (Exception exc) {
			exc.printStackTrace();
		}
	}
}
