package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;
import csbase.client.applications.ApplicationImages;

/**
 * <p>
 * Ao salvar grafo.
 * </p>
 * <p>
 * Ao que facilita o uso do mtodo {@link FlowApplication#saveAsGraph()}.
 * </p>
 */
public final class SaveAsAction extends FlowApplicationAction {
  /**
   * Cria a ao.
   * 
   * @param application A aplicao.
   */
  public SaveAsAction(FlowApplication application) {
    super(application, SaveAsAction.class.getName() + ".name",
      ApplicationImages.ICON_SAVEAS_16);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent ev) {
    getApplication().saveAsGraph();
  }
}
