package csbase.algorithms.flows.messages;

import java.awt.datatransfer.Transferable;

import tecgraf.javautils.vix.Message;

public final class CopyMessage extends Message {

  private Transferable transferable;

  public CopyMessage(Transferable transferable) {
    setTransferable(transferable);
  }

  public Transferable getTransferable() {
    return this.transferable;
  }
  
  private void setTransferable(Transferable transferable) {
    if (transferable == null) {
      throw new IllegalArgumentException("O parmetro transferable est nulo.");
    }
    this.transferable = transferable;
  }
}
