package csbase.algorithms.flows.messages;

import csbase.algorithms.flows.graph.GraphLink;

import tecgraf.javautils.vix.Message;

import java.awt.geom.Point2D;

public final class PickLinkMessage extends Message {
  private Point2D point;
  private GraphLink link;

  public PickLinkMessage(Point2D pt) {
    this.point = (Point2D)pt.clone();
  }

  public Point2D getPoint() {
    return (Point2D)this.point.clone();
  }

  public GraphLink getLink() {
    return this.link;
  }

  public void setLink(GraphLink Link) {
    this.link = Link;
  }
}
