/*
 * $Id: ApplicationExitAction.java 84078 2008-10-09 21:45:03Z clinio $
 */

package csbase.client.applications;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import tecgraf.javautils.LNG;

/**
 * Ao genrica de uma trmino de aplicao.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class ApplicationExitAction extends ApplicationAction<Application> {

  /**
   * Resultado da ao.
   * 
   * @param ae evento Java
   */
  @Override
  public void actionPerformed(final ActionEvent ae) {
    final Application application = getApplication();
    application.closeApplication();
  }

  /**
   * Construtor padro.
   * 
   * @param application a aplicao
   */
  public ApplicationExitAction(final Application application) {
    super(application);
    putValue(Action.NAME, LNG.get("application.exit.item"));
    putValue(Action.SMALL_ICON, ApplicationImages.ICON_EXIT_16);
  }
}
