package csbase.client.applications.fileexchanger;

/**
 * 
 *
 * @author Tecgraf
 */
public class InvalidFilesToExportException extends Exception {
  
  /**
   * Mensagem da exceo.
   */
  private String message;
  
  /**
   * Construtor
   * @param message mensagem da exceo
   */
  public InvalidFilesToExportException (final String message) {
    this.message = message; 
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getMessage() {
    return message;
  }

  /**
   * Define a mensagem da exceo
   * @param message mensagem 
   */
  public void setMessage(final String message) {
    this.message = message;
  }

}