package csbase.client.applications.fileexchanger.exceptions;

import tecgraf.javautils.LNG;

/**
 * Exceo para nomes invlidos de arquivos e de diretrios.
 * 
 * @author Tecgraf
 */
public class InvalidNameException extends Exception {

  /**
   * Mensagem da exceo.
   */
  private String message = LNG.get("UTIL_NAME_CHARACTER_ERROR");

  /**
   * Construtor
   */
  public InvalidNameException() {
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getMessage() {
    return message;
  }

  /**
   * Define a mensagem da exceo
   * 
   * @param message mensagem
   */
  public void setMessage(final String message) {
    this.message = message;
  }

}
