package csbase.client.applications.fileexchanger.logic;

import csbase.client.applications.fileexchanger.FileExchangerUI;

/**
 * Tipo de operao.
 * 
 * @author Tecgraf/PUC-Rio
 */
public enum ExchangeType {

  /**
   * Importao
   */
  IMPORT,

  /**
   * Exportao
   */
  EXPORT;

  /**
   * Consulta o texto da descrio.
   * 
   * @return o texto
   */
  public String getDescription() {
    final String tag = toString()+".description";
    return FileExchangerUI.getString(this.getClass(), tag);
  }
}
