/*
 * $Id:$
 */

package csbase.client.applications.filetransferclient.panels.localpanel;

import java.util.Comparator;

import csbase.logic.ProjectFile;


/**
 * @author Tecgraf/PUC-Rio
 */
class LocalTypeComparator implements Comparator<ProjectFile> {
  /**
   * {@inheritDoc}
   */
  public int compare(final ProjectFile f1, final ProjectFile f2) {
    if (f1.isDirectory() && !f2.isDirectory()) {
      return -1;
    }
    if (!f1.isDirectory() && f2.isDirectory()) {
      return 1;
    }
    final String n1 = f1.getType();
    final String n2 = f2.getType();
    return n1.compareTo(n2);
  }
}