package csbase.client.desktop;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JFrame;

import csbase.client.applications.ApplicationImages;

/**
 * Ao para exibio de about do sistema.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class AboutAction extends AbstractAction {

  /**
   * O desktop da ao.
   */
  final private JFrame frame;

  /**
   * Ao
   * 
   * @param ae evento.
   */
  final public void actionPerformed(final ActionEvent ae) {
    final AboutDialog aboutDialog = new AboutDialog(frame);
    aboutDialog.center();
    aboutDialog.setVisible(true);
  }

  /**
   * Construtor
   * 
   * @param frame o desktop dos sistema.
   */
  public AboutAction(final JFrame frame) {
    this.frame = frame;
    putValue(Action.SMALL_ICON, ApplicationImages.ICON_ABOUT_16);
  }
}
