package csbase.client.facilities.monitoringtable;

/**
 * Eventos registrados pelo componente MonitoringTable.
 *
 * @author Leonardo Abreu de Barros
 * @version $Revision: 33587 $
 */
public class MonitoringTableEvent {
  /** Ocorre sempre que os dados exibidos na tabela so alterados. */
  public static final int REFRESH = 1;
  /**
   *  notificado caso ocorra um erro de conexo no momento do componente
   * acessar o SGAService para atualizar seus dados.
   */
  public static final int REMOTE_ERROR = -1;
  public int event;

  public MonitoringTableEvent(int eventType) {
    this.event = eventType;
  }
}
