/*
 * $Id: CommonFileCopyAction.java 68788 2007-10-09 19:49:20Z clinio $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;

import csbase.client.project.ProjectFileContainer;

/**
 * Ao de cpia
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonFileCopyAction extends CommonProjectAction {

  /**
   * Construtor
   * 
   * @param container o container do projeto
   */
  public CommonFileCopyAction(ProjectFileContainer container) {
    super(container);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    startCopyAction();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_COPY");
  }

}
