/*
 * $Id$
 */
package csbase.client.project.action;

import tecgraf.javautils.LNG;
import csbase.client.project.ProjectTree;
import csbase.client.project.dialogs.OpenAnyProjectDialog;
import csbase.logic.CommonClientProject;

/**
 * Ao para abertura de qualquer projeto de um usurio. Esta ao est
 * disponvel apenas para o administrador.
 */
public class CommonProjectOpenAnyAction extends CommonProjectOpenAction {

  /**
   * Construtor
   * 
   * @param treeView a rvore de projetos
   */
  public CommonProjectOpenAnyAction(ProjectTree treeView) {
    super(treeView);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected CommonClientProject openDialog() {
    return OpenAnyProjectDialog.openProject(getWindow());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("CommonProjectOpenAnyAction.name");
  }

}
