/*
 * UserCommonProjectOpenAction.java
 * 
 * $Author: clinio $ $Revision: 82298 $ - $Date: 2006-08-21 16:35:55 -0300
 * (Mon, 21 Aug 2006) $
 */
package csbase.client.project.action;

import tecgraf.javautils.LNG;
import csbase.client.project.ProjectTree;
import csbase.client.project.dialogs.OpenSharedProjectDialog;
import csbase.logic.CommonClientProject;

/**
 * Ao que abre um projeto de um usurio. Utiliza um dilogo que seleciona
 * projeto de uma lista e abre o projeto selecionado.
 */
public class UserCommonProjectOpenAction extends CommonProjectOpenAction {

  /**
   * {@inheritDoc}
   */
  @Override
  protected CommonClientProject openDialog() {
    return OpenSharedProjectDialog.openProject(getWindow());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_SELECTION_FROM_OTHERS");
  }

  /**
   * Construtor
   * 
   * @param treeView a rvore de projetos.
   */
  public UserCommonProjectOpenAction(ProjectTree treeView) {
    super(treeView);
  }
}
