package csbase.exception.algorithms;

import csbase.exception.CSBaseException;

public final class ExpressionFunctionExecutionException extends CSBaseException {

  public ExpressionFunctionExecutionException(Throwable exception) {
    super(exception);
  }

  public ExpressionFunctionExecutionException(String pattern, Object... arguments) {
    super(pattern, arguments);
  }

  public ExpressionFunctionExecutionException(String pattern, Object[] arguments, Throwable exception) {
    super(pattern, arguments, exception);
  }

  public ExpressionFunctionExecutionException(String message, Throwable exception) {
    super(message, exception);
  }

  public ExpressionFunctionExecutionException(String message) {
    super(message);
  }

  public ExpressionFunctionExecutionException(Throwable exception, String pattern, Object... arguments) {
    super(exception, pattern, arguments);
  }
}
