package csbase.exception.algorithms;

import csbase.exception.CSBaseException;

public class FormulaEvaluationException extends CSBaseException {


  public FormulaEvaluationException(String pattern, Object... arguments) {
    super(pattern, arguments);
  }

  public FormulaEvaluationException(String message, Throwable exception) {
    super(message, exception);
  }

  public FormulaEvaluationException(String message) {
    super(message);
  }

  public FormulaEvaluationException(Throwable exception, String pattern, Object... arguments) {
    super(exception, pattern, arguments);
  }

  public FormulaEvaluationException(Throwable exception) {
    super(exception);
  }
}
