/*
 * AlgorithmsReloadNotificationData.java
 * $Author: taciana $
 * $Revision: 62759 $ - $Date: 2007-04-18 08:24:07 -0300 (Wed, 18 Apr 2007) $
 */
package csbase.logic;


/**
 * Classe que modela uma notificao de reload no servio de algoritmos
 *
 * @author Andr Clinio
 */
public class AlgorithmsReloadNotificationData extends NotificationData {
  /**
   * String para auditagem.
   *
   * @return uma string
   */
  public String toString() {
    return "ALGORITHM RELOAD / NOTIFICATION";
  }

  /**
   * Definio da volatilidade da notificao.
   * @return flag indicativo.
   */
  public boolean isVolatile() {
    return true;
  }

  /**
   * Constri o evento de notificao
   */
  public AlgorithmsReloadNotificationData() {}
}
