package csbase.logic;

public class CloseProjectNotificationData extends NotificationData {
  private String projectName;

  public CloseProjectNotificationData(String projectName) {
    this.projectName = projectName;
  }

  public String toString() {
    return ("Notificao de fechamento do projeto"+projectName);
  }

  /**
   * Definio da volatilidade da notificao.
   * @return flag indicativo.
   */
  public boolean isVolatile() {
    return false;
  }

  public String getProjectName() {
    return this.projectName;
  }
}
