/*
 * ProjectDeletedEvent.java
 *
 * $author$
 * $Revision: 55308 $  - $Date: 2006-08-23 18:11:09 -0300 (Wed, 23 Aug 2006) $
 */
package csbase.logic;


/**
 * Representa o evento de remoo de um projeto.
 */
public class ProjectDeletedEvent extends ProjectEvent {
  /*Identificador do projeto que foi removido*/
  private String projectId;

  /**
   * Retorna o identificador do projeto que foi removido.
   *
   * @return O identificador do projeto que foi removido.
   */
  public String getProjectId() {
    return projectId;
  }

  public ProjectDeletedEvent(String projectId) {
    event = PROJECT_DELETED;
    this.projectId = projectId;
  }
}
