/*
 * $Id
 */

package csbase.logic;

/**
 * Listener de transmisso de upload/download.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface ProjectFileChannelLoadListener {

  /**
   * Indica o estado de transferncia em bytes.
   * 
   * @param currentSize quantidade de bytes global j transferida
   * @param totalSize total de bytes a serem transferidos
   * @param numBytes quantidade de bytes transferidos na ocasio de chamada da
   *        callback
   */
  void transferedBytes(long currentSize, long totalSize, long numBytes);

}
