package csbase.logic;

/**
 * Define um filtro de arquivos de projeto.
 *
 * @author Rodrigo Carneiro Henrique (rodrigoh)
 */
public interface ProjectFileFilter {
  /**
   * Verifica se o arquivo recebido  aceito pelo filtro.
   *
   * @param file O arquivo a ser filtrado.
   *
   * @return true, se o arquivo  aceito pelo filtro, ou false, caso contrrio.
   */
  boolean accept(ProjectFile file);
}
