package csbase.logic.algorithms.parameters;

/**
 * Observador do 
 * {@link IntegerListParameter Parmetro do Tipo Lista de Inteiros}.
 * 
 * @author lmoreira
 */
public interface IntegerListParameterListener {
  /**
   * Este mtodo  chamando quando ocorre mudana no valor mximo aceito.
   * 
   * @param parameter O parmetro (No aceita {@code null}).
   */
  public void maximumWasChanged(IntegerListParameter parameter);

  /**
   * Este mtodo  chamando quando ocorre mudana no valor mnimo aceito.
   * 
   * @param parameter O parmetro (No aceita {@code null}).
   */
  public void minimumWasChanged(IntegerListParameter parameter);
}