/*
 * ServerRemoteLocator.java
 * $Author: clinio $
 * $Revision: 93285 $ - $Date: 2009-07-03 17:02:55 -0300 (Fri, 03 Jul 2009) $
 */
package csbase.remote;

/**
 * A classe <code>ServerRemoteLocator</code> oferece um ponto de acesso ao
 * servidor atravs de <code>ServerEntryPoint</code> e demais servios
 * exportados pelo servidor central para um servidor locale. Essa classe deve
 * ser utilizada apenas pelo servidor, para localizar servios no servidor
 * central. A conexo entre servidores  mantida na classe
 * ServerRemoteLocator.
 */
public class ServerRemoteLocator {
  public static ServerEntryPoint server = null;

  // Servios individualizados:
  public static AdministrationServiceInterface administrationService = null;
  public static AlgorithmServiceInterface algoService = null;
  public static DiskUsageServiceInterface diskUsageService = null;
  public static FileTransferServiceInterface fileTransferService = null;
  public static EventLogServiceInterface eventLogService = null;
  public static HttpServiceInterface httpService = null;
  public static KillServerServiceInterface killServerService = null;
  public static MailServiceInterface mailService = null;
  public static NotificationServiceInterface notificationService = null;
  public static ProjectServiceInterface projectService = null;
  public static PublicationServiceInterface publicationService = null;
  public static SGAServiceInterface sgaService = null;
  public static WIOServiceInterface wioService = null;
//public static XAppServiceInterface xAppService = null;
  public static ProjectSynchronizationServiceInterface projectSynchronizationService = null;
  /**
   * Referncia ao servio {@link ApplicationServiceInterface}
   */
  public static ApplicationServiceInterface applicationService = null;

}
