/*
 * ServiceInterface.java
 * $Author: cassino $
 * $Revision: 33587 $  - $Date: 2004-04-15 11:21:24 -0300 (Thu, 15 Apr 2004) $
 */
package csbase.remote;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface remota para acesso  funcionalidade comum a todos  os servios do
 * Server.
 */
public interface ServiceInterface extends Remote {
  /**
   * Verifica se o servio est ativo
   *
   * @return true se o servio est ativo e apto a atender solicitaes
   */
  public boolean isAlive() throws RemoteException;
}
