package csbase.server.services.mailservice;

import csbase.remote.MailServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class MailServiceProxy extends csbase.server.ServiceProxy implements MailServiceInterface {

public MailServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public boolean mailTo(java.lang.String param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return MailService.getInstance().mailTo(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean mailSupport(java.lang.String param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return MailService.getInstance().mailSupport(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean sendMail(java.lang.String param_0, java.lang.String param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return MailService.getInstance().sendMail(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean sendMail(java.lang.String param_0, java.lang.String param_1, java.lang.String param_2, java.lang.String param_3, java.lang.String param_4, java.lang.String[] param_5) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return MailService.getInstance().sendMail(param_0, param_1, param_2, param_3, param_4, param_5);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return MailService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}