package csbase.server.services.opendreamsservice;

/**
 * 
 * Representa uma exceo na validao de um <code>OpenDreamsJobTemplate</code>
 * com relao aos atributos usados para descrever a execuo de um algoritmo.
 * 
 * @author Tecgraf PUC-Rio
 *
 */
public class AlgorithmTemplateException extends Exception {

  /**
   * Construtor.
   * @param msg uma mensagem que descreve a falha 
   */
  public AlgorithmTemplateException(String msg) {
    super (msg);
  }

  /**
   * Construtor.
   * @param msg uma mensagem que descreve a falha 
   * @param t a causa
   */
  public AlgorithmTemplateException(String msg, Throwable t) {
    super (msg, t);
  }
  
}
