package csbase.client.algorithms.parameters;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.DoubleListParameter;

public final class DoubleListParameterViewTest {
  public static void main(String[] args) throws ClientException {
    DoubleListParameter parameter = new DoubleListParameter("REAL_LIST",
      "Lista de reais", "Parmetro do tipo lista de reais.\nObrigatrio.\n"
        + "Mximo: 1.000.\nMnimo: -1.000.", false, "--{0} {1}", new Double(
        1000), true, new Double(-1000), true);
    new ParameterViewTester(parameter).test();
  }
}
