package csbase.client.algorithms.parameters;

import java.util.LinkedList;
import java.util.List;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.EnumerationItem;
import csbase.logic.algorithms.parameters.EnumerationParameter;

public final class EnumerationParameterViewTest {
  public static void main(String[] args) throws ClientException {
    EnumerationItem item1 = new EnumerationItem("0", "tem 1", "Valor_1",
      "Dica 1");
    EnumerationItem item2 = new EnumerationItem("1", "tem 2", "Valor_2",
      "Dica 2");
    List<EnumerationItem> items = new LinkedList<EnumerationItem>();
//    items.add(item1);
//    items.add(item2);
    EnumerationParameter parameter =
      new EnumerationParameter(
        "ENUM", "Enumerao", "Parmetro do tipo enumerao", null,
        "$NOME_DO_PARAMETRO $VALOR_DO_PARAMETRO",
        items, true);
    new ParameterViewTester(parameter).test();
  }
}
