package csbase.logic.algorithms.parameters;

import java.util.List;

import junit.framework.TestCase;
import csbase.util.parser.exception.AutomatonException;

public final class ListParameterParserTest extends TestCase {
  public void testParseTextWithoutValues()
  throws AutomatonException {
    ListParameterParser parser = new ListParameterParser();
    List elements = parser.parseText("{}");
    assertNotNull(elements);
    assertTrue(elements.isEmpty());
  }

  public void testParseTextWithValues()
  throws AutomatonException {
    ListParameterParser parser = new ListParameterParser();
    List elements = parser.parseText("{0,1,2,3}");
    assertNotNull(elements);
    assertEquals(4, elements.size());
    for (int i = 0; i < elements.size(); i++) {
      assertEquals(Integer.toString(i), elements.get(i));
    }
  }
}
