/*
 * $Author: lmoreira $ 
 * $Date: 2005/07/14 17:04:18 $ 
 */
package csbase.logic.algorithms.parameters;

import java.util.Map;

import csbase.logic.SGAInfo;

public final class MockParameter extends Parameter<Object> {
  public MockParameter(String name) {
    super(name);
  }

  @Override
  public Map<String, Object> exportValue() {
    return null;
  }

  @Override
  public String getCommandLine(String projectDirectory, String fileSeparator) {
    return null;
  }

  @Override
  public void importValue(Map<String, Object> value) {
  }

  @Override
  public boolean isSetDefaultValue() {
    return false;
  }

  @Override
  public boolean isVisible() {
    return false;
  }

  @Override
  public void resetValue() {
  }
}
